SamForum.org  
SamLab.ws
Заблокированные пользователи

Вернуться   SamForum.org > Программы > Бесплатные / Freeware > Система
Важная информация

Ответ
 
Опции темы Поиск в этой теме Опции просмотра
.NET Framework
Старый Добавлено: 24.11.2007, 05:43
  (#1)
T@2i4
Пользователь
Пользователь
 
Аватар для T@2i4

По умолчанию .NET Framework


Microsoft .NET Framework 4.7.1 Final
Web Installer
[Ссылки могут видеть только зарегистрированные пользователи. ]
Offline Installer
[Ссылки могут видеть только зарегистрированные пользователи. ]
Языковой пакет Microsoft .NET Framework 4.7.1
[Ссылки могут видеть только зарегистрированные пользователи. ]

Microsoft .NET Framework 4.6.2
Web
[Ссылки могут видеть только зарегистрированные пользователи. ]
Многоязычная версия
[Ссылки могут видеть только зарегистрированные пользователи. ]
Языковой пакет — русский
[Ссылки могут видеть только зарегистрированные пользователи. ]

Microsoft .NET Framework 4.0
[Ссылки могут видеть только зарегистрированные пользователи. ]

[Ссылки могут видеть только зарегистрированные пользователи. ] (Full_x86_x64)

старые версии:
Microsoft .NET Framework 4.5.2
Не совместим с Windows XP и более ранними версиями Windows.
Full Installer
[Ссылки могут видеть только зарегистрированные пользователи. ]
Web Installer
[Ссылки могут видеть только зарегистрированные пользователи. ]
Русский лангпак
[Ссылки могут видеть только зарегистрированные пользователи. ]


.NET Framework 3.5 SP1

Microsoft .NET Framework 3.5 - программное обеспечение, необходимое каждому компьютеру с Windows для запуска и установки программ, созданных с помощью .NET Framework (например Catalyst Control Center ATI\AMD, многих программ для работы со звуком, фото и графикой).


Microsoft .NET Framework 3.5 Client Profile
Версия: SP1
Дата размещения: 18.08.2008.
Размер загружаемого файла: 255.5 MB
Поддерживаемые ОС: Windows Server 2003; Windows Server 2008; Windows XP; Windows Vista (включая x64)

Во время установки не требуется подключения к Интернету.
Включает:
.NET Framework 2.0 Servise Pack 2
.NET Framework 3.0 Servise Pack 2
.NET Framework 3.5 Servise Pack 1


Не требуется для Windows 7, т.к. эта ОС включает в себя все необходимые библиотеки!

[Ссылки могут видеть только зарегистрированные пользователи. ]

[Ссылки могут видеть только зарегистрированные пользователи. ]


Языковой пакет Microsoft .NET Framework 3.5 SP1 (включает также языковые пакеты для версий 2.0 и 3.0)
Описание:
Языковые пакеты платформы Microsoft .NET Framework 3.5 содержат переведенный текст, например сообщения об ошибках, для языков, отличных от английского. Без установки языковых пакетов эти сообщения по умолчанию будут отображаться на английском языке. На одном компьютере можно установить несколько языковых пакетов: по одному для каждого языка.


Дата размещения: 15.12.2008
Язык: Русский

Для 32-битной ОС
[Ссылки могут видеть только зарегистрированные пользователи. ]
Размер: 11,41 Мб

Для 64-битной ОС
[Ссылки могут видеть только зарегистрированные пользователи. ]
Размер: 15,27 Мб


[Ссылки могут видеть только зарегистрированные пользователи. ]



Цитата:
Установочный пакет Microsoft .NET Framework 1.1-4.0 для Windows x86 от 19.02.2013 от [Ссылки могут видеть только зарегистрированные пользователи. ] ([Ссылки могут видеть только зарегистрированные пользователи. ])
[Ссылки могут видеть только зарегистрированные пользователи. ]

Установка .NET Framework возможна на 32-битные Windows XP SP3 (версии 1.1-4.0) и Windows 7 SP1 (только 4.0), для установки на WinXP SP2 потребуется компонент [Ссылки могут видеть только зарегистрированные пользователи. ], а для Win7 SP0 - [Ссылки могут видеть только зарегистрированные пользователи. ].

Описание:
Пакет содержит .NET Framework 1.1 SP1, 2.0 SP2, 3.0 SP2, 3.5 SP1, 4.0 Extended, KB867460, KB958481, KB958483, KB958484, KB960043, KB963707, KB974417, KB976576, KB976769, KB977354, KB979909, KB982306, KB2416447, KB2416472, KB2416473, KB2418241, KB2473228, KB2487367, KB2518864, KB2518870, KB2539631, KB2539636.
Можно запускать на T13, при этом все окна будут скрыты автоматически, а на рабочей системе по умолчанию видно индикацию установки (используйте ключ /S для скрытия на рабочей системе).
В любом режиме устанавливается за один раз, перезагрузок нету ни во время установки, ни после неё, но для этого можно использовать соответствующие ключи.
Корректно работает с остальными аддонами. Оформлено в виде SvcPack-аддона, но устанавливается и на живую систему.
Русские Language Pack'и отсутствуют, для работы программ они не нужны.

Добавлены следующие ключи:

Первая группа позволяет выбирать компоненты для установки:
DotNet.exe /1.1 - Установка .NET Framework 1.1 SP1.
DotNet.exe /2.0 - Установка .NET Framework 2.0 SP2.
DotNet.exe /3.0 - Установка .NET Framework 2.0 SP2 + 3.0 SP2.
DotNet.exe /3.5 - Установка .NET Framework 2.0 SP2 + 3.0 SP2 + 3.5 SP1.
DotNet.exe /4.0 - Установка .NET Framework 4.0 Extended.
DotNet.exe /1.1 /2.0 - Установка .NET Framework 1.1 SP1 + 2.0 SP2.
DotNet.exe /1.1 /3.0 - Установка .NET Framework 1.1 SP1 + 2.0 SP2 + 3.0 SP2.
DotNet.exe /1.1 /3.5 - Установка .NET Framework 1.1 SP1 + 2.0 SP2 + 3.0 SP2 + 3.5 SP1.
DotNet.exe /1.1 /4.0 - Установка .NET Framework 1.1 SP1 + 4.0 Extended.
DotNet.exe /3.5 /4.0 - Установка .NET Framework 2.0 SP2 + 3.0 SP2 + 3.5 SP1 + 4.0 Extended.

Примечание: если ключи из первой группы не указывать, установится всё от 1.1 до 4.0 включительно.

Вторая группа задаёт дополнительные опции установки:
DotNet.exe /reboot - Запрос перезагрузки по окончании установки пакета.
DotNet.exe /rebootok - Автоматическая перезагрузка после установки пакета.
DotNet.exe /show - Показывает индикацию установки на T13. Ключ работает только на этом этапе.

Третья группа запускает полезные утилиты:
DotNet.exe /verify - Утилита для проверки корректности установки .NET Framework версий 1.1-4.0.
DotNet.exe /clean - Утилита для удаления .NET Framework версий 1.1-4.0 из рабочей системы.

Примеры использования:

1) Нужно установить полный пакет (1.1 + 2.0 + 3.0 + 3.5 + 4.0), при этом спросить о перезагрузке после установки и убрать предложения установки языковых пакетов с Microsoft Update:
DotNet.exe /reboot /nolang

2) Нужно установить только 2.0 + 3.0 и автоматически перезагрузить компьютер после установки:
DotNet.exe /3.0 /rebootok

3) Нужно установить 2.0 + 3.0 + 4.0:
DotNet.exe /3.0 /4.0

Цитата:
[Ссылки могут видеть только зарегистрированные пользователи. ] - утилита для полного удаления Microsoft .NET Framework
[Ссылки могут видеть только зарегистрированные пользователи. ]
[Ссылки могут видеть только зарегистрированные пользователи. ]


Последний раз редактировалось kostmick; 18.10.2017 в 14:36.. Причина: дооформление
T@2i4 вне форума Отправить личное сообщение для T@2i4
Вверх
Ответить с цитированием
Эти 44 пользователя(ей) сказали cпасибо за это полезное сообщение:
Показать список поблагодаривших
.NET Framework
Старый Добавлено: 24.11.2007, 18:19
  (#2)
Dr.Mihelson
Особый статус
Заслуженный пользователь
 
Аватар для Dr.Mihelson

Радость .NET Framework

.NET Framework 3.5

Microsoft .NET Framework 3.5 - программное обеспечение, необходимое каждому компьютеру с Windows для запуска и установки программ, созданных с помощью .NET Framework (например, драйверов для видеокарт ATI\AMD, многих программ для работы со звуком, фото и графикой).

Короче говоря, обязательная для установки вещь!

Среди нововведений этого релиза:
• Интеграция с Language Integrated Query (LINQ);
• Поддержка нового веб-протокола для создания WCF-сервисов, в том числе AJAX, JSON, REST, POX, RSS, ATOM;
• Полная поддержка инструментов WF, WCF и WPF;
• Новые классы в библиотеке BCL, созданные по просьбам пользователей.

Последний раз редактировалось di_con; 08.10.2008 в 16:22..
Dr.Mihelson вне форума Отправить личное сообщение для Dr.Mihelson
Вверх
Ответить с цитированием
Этот пользователь сказал cпасибо за это полезное сообщение:
NVIDIA (06.11.2008)
Старый Добавлено: 24.11.2007, 18:58
  (#3)
Михаил07
Наблюдающий
Пользователь
 
Аватар для Михаил07

По умолчанию

Пожалуй, нужная, даже очень...
Только многовато весит! В 4-ре раза больше предыдущих!!
206,5 метров!!! Неужели нельзя было оптимизировать под размер 50 метров.
Хоть и скачал, но психологический барьер на пределе!
Михаил07 вне форума Отправить личное сообщение для Михаил07
Вверх
Ответить с цитированием
Старый Добавлено: 24.11.2007, 19:02
  (#4)
ATROS
Наблюдающий
Пользователь
 
Аватар для ATROS

По умолчанию

Почему в сборку не входит Microsoft .NET Framework 1.1 ???
ATROS вне форума Отправить личное сообщение для ATROS
Вверх
Ответить с цитированием
Старый Добавлено: 24.11.2007, 22:08
  (#5)
kar007
Заслуженный
Заслуженный пользователь
 
Аватар для kar007

По умолчанию

ATROS, потому что он очень старый и практически нигде уже не используется.
Кстати, почему-то инсталлятор даже размером 197,12 требует докачать нужные файлы (ок. 20 МБ). Неужели не могли сделать нормальный оффлайн-инсталлятор?... Хотя .Net Framework 3.5 добавят в Vista SP1.
Да, и никто не знает приложений, сделанных хоть бы для 3-го .Net Framework? Не говоря уже про 3.5...
kar007 вне форума Отправить личное сообщение для kar007
Вверх
Ответить с цитированием
Старый Добавлено: 25.11.2007, 00:54
  (#6)
Amigoss
Наблюдающий
Пользователь
 
Аватар для Amigoss

По умолчанию

Цитата:
Сообщение от kar007 Посмотреть сообщение
ATROS, потому что он очень старый и практически нигде уже не используется.

А как насчет Sound Forge 8? Без 1.1 не поставить...
Amigoss вне форума Отправить личное сообщение для Amigoss
Вверх
Ответить с цитированием
Старый Добавлено: 25.11.2007, 16:57
  (#7)
gorec1
Гость
 
Аватар для gorec1

По умолчанию

а как отличаются версии 1.1 от 3.5?
Вверх
Ответить с цитированием
Старый Добавлено: 25.11.2007, 18:04
  (#8)
Afonya
Гость
 
Аватар для Afonya

По умолчанию

Вопрос делитанта:
а нужно ли его устанавливать если нет программной необходимости, т.е. на голую систему или вообще для общего развития?
Вверх
Ответить с цитированием
Старый Добавлено: 26.11.2007, 02:50
  (#9)
aL47
Осваивается
Пользователь
 
Аватар для aL47

Сообщение

Цитата:
Сообщение от gorec1 Посмотреть сообщение
а как отличаются версии 1.1 от 3.5?

сравни размеры хотя б
Цитата:
Сообщение от Afonya Посмотреть сообщение
Вопрос делитанта:
а нужно ли его устанавливать если нет программной необходимости, т.е. на голую систему или вообще для общего развития?

посмотри верхушку темы и прочитай внимательно еще разэто по сути "драйвера" для некоторого ПО, набор модулей, необходимый для его работы. т.к. размеры фреймворка приличные, то нет смысла комплектовать дистрибутивы каждой проги этими модулями; проще сделать их динамически подключаемыми (тут мои предположения)

да, я тоже заметил, что, несмотря на 197 МБ, все равно что-то там требует скачать при установке! наверно, уеб-инстолер забыли вынуть
ждем-с исправленного дистр-ва.
aL47 вне форума Отправить личное сообщение для aL47
Вверх
Ответить с цитированием
Старый Добавлено: 27.11.2007, 11:50
  (#10)
SDG
Пользователь
Пользователь
 
Аватар для SDG

Восклицание

Новая версия .NET Framework 2.0 со встроенным Service Pack 1.
(релиз от 22 ноября 2007 года)

[Ссылки могут видеть только зарегистрированные пользователи. ]
SDG вне форума Отправить личное сообщение для SDG
Вверх
Ответить с цитированием
Эти 2 пользователя(ей) сказали cпасибо за это полезное сообщение:
barkasa (09.08.2008)
Старый Добавлено: 01.12.2007, 21:51
  (#11)
zloyDi
Гость
 
Аватар для zloyDi

По умолчанию

У меня после установки 3 начитает лагать видео. Ну эго!
Вверх
Ответить с цитированием
Старый Добавлено: 01.12.2007, 22:34
  (#12)
Stanislav1989
斯坦尼斯拉夫
Администратор
 
Аватар для Stanislav1989

По умолчанию

Для меня смысла нет ставить сейчас .NET Framework 3.5, так как я не знаю приложений, сделанных под эту платформу. У меня стоит сейчас .NET Framework 3.0 и я тоже не знаю, что под него сделано. Хотя нет, одну программу всё же знаю под 3.0 - это Promt 8, без .NET Framework 3.0 она даже не запускается.
Stanislav1989 вне форума Отправить личное сообщение для Stanislav1989
Вверх
Ответить с цитированием
Старый Добавлено: 02.12.2007, 08:32
  (#13)
kar007
Заслуженный
Заслуженный пользователь
 
Аватар для kar007

По умолчанию

Stanislav1989, версия 3.5 только вышла и будет включена в SP1 для Висты. Может быть еще в SP3 для XP.
Что интересно, даже полный инсталлятор (ок. 200 МБ) требует докачку из Интернета (у меня МБ. 10 на Висте). Майкрософт как всегда отличилась.
kar007 вне форума Отправить личное сообщение для kar007
Вверх
Ответить с цитированием
Старый Добавлено: 02.12.2007, 10:48
  (#14)
Stanislav1989
斯坦尼斯拉夫
Администратор
 
Аватар для Stanislav1989

По умолчанию

Цитата:
Сообщение от kar007 Посмотреть сообщение
Stanislav1989, версия 3.5 только вышла и будет включена в SP1 для Висты. Может быть еще в SP3 для XP.
Что интересно, даже полный инсталлятор (ок. 200 МБ) требует докачку из Интернета (у меня МБ. 10 на Висте). Майкрософт как всегда отличилась.

А это докачка обязательна? В общем, не перестаю удивляться Microsoft - и так инсталлятор огромный, ещё докачка через инет (10 мб дополнений через GPRS скачивать - одна сущая радость). Microsoft и так крупно "закосячила", выпустив год назад релиз Висты. Релиз висты, я считаю, должен был состояться в начале 2008 года, когда вйдет SP1 - тогда намного меньше упрёков и недовольствий было со стороны различных пользователей по поводу новой операционной системы.
Stanislav1989 вне форума Отправить личное сообщение для Stanislav1989
Вверх
Ответить с цитированием
Старый Добавлено: 03.12.2007, 08:49
  (#15)
kar007
Заслуженный
Заслуженный пользователь
 
Аватар для kar007

По умолчанию

Stanislav1989, обязательна. Но он еще содержит обновления для версий 2.0 и 3.0 Все зависит от системы и установленных версий .Net Framework. У меня на Висте 10 МБ, у еого-то может больше.
Насчет Висты не согласен. да, если бы она вышла в начале 2008 г., то она бы была гораздо лучше. Но проблемы с совместимостью софта точно такие же были. Т.к. разработчики ленивые, они бы не делали софт, пока Висты не будет на рынке.
Вот. что надо было Майкрософт, так это выпустить SP1 где-то в середине этого года, т.е. с исправлением критических багов. А все остальные нововведения вроде DX10.1 и нового ядра системы уже должны были выйти в следующем, 2008 году. Т.к. пока нет SP1 пользователи не будут в большей своей массе переходить на новую систему.
kar007 вне форума Отправить личное сообщение для kar007
Вверх
Ответить с цитированием
Старый Добавлено: 03.12.2007, 13:17
  (#16)
Stanislav1989
斯坦尼斯拉夫
Администратор
 
Аватар для Stanislav1989

По умолчанию

Я всё равно не могу смириться с фактом большого размера дистрибутива .NET Framework 3.5, так как разница с третьей версией огромна - 206 мб и 50 мб, соответственно. Я, например, закачку такого файла не потяну.
Stanislav1989 вне форума Отправить личное сообщение для Stanislav1989
Вверх
Ответить с цитированием
Старый Добавлено: 19.12.2007, 11:31
  (#17)
Mila2
Старожил
Пользователь
 
Аватар для Mila2

По умолчанию

Вопрос к опытным пользователям и модераторам!
Напишите, пожалуйста, в каких случаях нужно устанавливать:
1) Framework 1.1,
2) Framework 2,
3) Framework 3,
4) Framework 3.5
В обновлениях, предлагаемых Microsoft, они предлагают устанавливать 1.1, 2, 3, да и ещё и обновляют их. Поэтому неясно, что нужно, а что нет.
Размер этих программ, как вы сообщаете большой, а для чего конкретно нужна каждая, не ясно. Загромождать комп мусором не к чему, даже если он от такой крупной и уважаемой компании!
Mila2 вне форума Отправить личное сообщение для Mila2
Вверх
Ответить с цитированием
Старый Добавлено: 19.12.2007, 19:20
  (#18)
kar007
Заслуженный
Заслуженный пользователь
 
Аватар для kar007

По умолчанию

Mila2, .Net Framework 1.1 уже Майкрософт не поддерживает, да и софта для него почти не осталось. Даже в Висту его не включили (там только версии 2.0 и 3.0, в SP1 будет еще 3.5 встроен).
Версии 2.0 и 3.0 существуют отдельно, как и SP1 для них (только для XP).
Для Висты нужно скачать 3.5 и с ним вместе поставятся SP1 для версий 2.0 и 3.0 (для XP то же самое). Он весит около 200 МБ и требует скачать из сети еще порядка 20 МБ.
А вообще SP1 не принципиален для работы программ, требующих определенную версию Framework.
Хотя может и в XP SP3 включат все эти компоненты (правда дистриб сервисного пакета от этого должен увеличиться на 220 МБ).

Странно, почему полный пакет .Net Framework тоже требует докачку из Интернета...
kar007 вне форума Отправить личное сообщение для kar007
Вверх
Ответить с цитированием
Старый Добавлено: 20.12.2007, 14:11
  (#19)
Mila2
Старожил
Пользователь
 
Аватар для Mila2

По умолчанию

Назовите, пожалуйста, хотя бы несколько программ, для которых нужна прога Framework (с указанием версии Framework). Тогда станет понятнее, что необходимо добавить в систему. Я веду речь только о Windows XP SP2.
P.S. Пробовал разобраться, читая о Framework на сайте Microsoft. Не получается,- слишком много, сложно и не конкретно написано у них. Мы потребители их системы, а не разработчики, и не можем и не должны знать всех их внутренностей.
Mila2 вне форума Отправить личное сообщение для Mila2
Вверх
Ответить с цитированием
Старый Добавлено: 20.12.2007, 14:14
  (#20)
Vovanoff
Наблюдающий
Пользователь
 
Аватар для Vovanoff

По умолчанию

неро используе фреймворк, винамп тоже
это из самых распространённых
Неро сам его устанавливает если в системе его нет,винамп при инсталляции тоже его с инета скачивает если неро не ставил перед ним
Vovanoff вне форума Отправить личное сообщение для Vovanoff
Вверх
Ответить с цитированием
Ответ

Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход

Реклама



Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd. Перевод: zCarot

Время генерации страницы 0.61445 секунды с 41 запросами